﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace checkboxes
{
    class MainWindowPM : INotifyPropertyChanged
    {
        private Item currentItem;

        public MainWindowPM()
        {
            Items = Enumerable.Range(0, 10)
                              .Select(x => new Item() {Name = x.ToString()})
                              .ToArray();
        }

        public IEnumerable<Item> Items { get; private set; }

        public Item CurrentItem
        {
            get { return currentItem; }
            set { currentItem = value; OnPropertyChanged("CurrentItem");}
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null) handler(this, new PropertyChangedEventArgs(propertyName));
        }
    }

    class Item
    {
        public bool IsSelected { get; set; }
        public string Name { get; set; }
    }
}
